#ifndef __LINK_H__
#define __LINK_H__
#include <stdio.h>
#include <stdlib.h> // malloc
#include <string.h> // strcpy
#include "stu_s.h"
#include "color_e.h"

// 函数声明头文件
// 不需要添加 extern，因为在头文件中定义的函数默认是 extern
void swap(STU *a, STU *b);
STU *insert_stu(STU *head, STU *item);
STU *delete_stu(STU *head, char sid);
void shows(STU *head);
STU *find_stu(STU *head, char sid);
STU *update_stu(STU *head, char sid);
STU *sort_stu(STU *head);
STU *reverse_stu(STU *head);
void saveToFile(STU *head, const char *filename);
STU *readFromFile(const char *filename);

#endif